Page MenuHomePhabricator

Add gender support to MediaWiki:Skin-minerva-blocked-drawer-creator-header
Closed, ResolvedPublic2 Story Points

Description

It should be possible to define skin-minerva-blocked-drawer-creator-header message based on the gender of a person who blocked the article.
It's impossible to translate "Blocked by" without resorting to a gendered verb in Serbo-Croatian, for instance.


URL: https://translatewiki.net/wiki/MediaWiki:Skin-minerva-blocked-drawer-creator-header

Details

Related Gerrit Patches:
mediawiki/skins/MinervaNeue : masterProvide gender parameter
mediawiki/skins/MinervaNeue : masterAdd gender support to skin-minerva-blocked-drawer-creator-header

Event Timeline

Srdjan_m created this task.May 17 2018, 5:47 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 17 2018, 5:47 AM
Srdjan_m moved this task from Untriaged to Gender on the I18n board.May 17 2018, 5:51 AM

@Srdjan_m can you provide more details, please?

Srdjan_m added a comment.EditedMay 24 2018, 11:49 AM

@pmiazga: I was referring to the gender preference of the block creator, whose username is displayed right below this header. It's impossible to translate "Blocked by" without resorting to a gendered verb in Serbo-Croatian, for instance.

pmiazga claimed this task.May 28 2018, 7:54 PM
pmiazga added a project: Readers-Web-Backlog.

Change 435930 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[mediawiki/skins/MinervaNeue@master] Add gender support to skin-minerva-blocked-drawer-creator-header

https://gerrit.wikimedia.org/r/435930

@ovasileva bringing into a kanban board - this is the best example of just do it task.

Change 435930 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Add gender support to skin-minerva-blocked-drawer-creator-header

https://gerrit.wikimedia.org/r/435930

pmiazga removed pmiazga as the assignee of this task.May 29 2018, 8:40 AM
pmiazga removed a project: Patch-For-Review.
Srdjan_m renamed this task from Add gender support for MediaWiki:Skin-minerva-blocked-drawer-creator-header to Add gender support to MediaWiki:Skin-minerva-blocked-drawer-creator-header.May 29 2018, 3:49 PM
Jdlrobson set the point value for this task to 2.

Change 436071 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[mediawiki/skins/MinervaNeue@master] Provide gender parameter

https://gerrit.wikimedia.org/r/436071

ovasileva triaged this task as Medium priority.May 30 2018, 2:32 PM
pmiazga updated the task description. (Show Details)May 30 2018, 4:28 PM
Jdlrobson assigned this task to pmiazga.Jun 4 2018, 5:18 PM
pmiazga removed pmiazga as the assignee of this task.Jun 5 2018, 2:01 PM

Change 436071 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Provide gender parameter

https://gerrit.wikimedia.org/r/436071

Jdlrobson added subscribers: alexhollender, Jdlrobson.

Given this requires a specific knowledge of how gender in language i18n works and a specific technical setup (setting up a block), getting this tested is overly complicated and IMO not worth it. Thus, I think it's safe for this to skip QA and design review. I can confirm that "GENDER" does not show up in the resulting message so this means it is being parsed correctly (cc @alexhollender ).

@ovasileva over to you for either sign off or any questions.

@Srdjan_m please let us know if there's a problem with translating or how this displays in the interface.

pmiazga added a comment.EditedJun 6 2018, 5:08 PM

@Srdjan_m could you verify the gender support. New version is available on Beta cluster - https://en.wikipedia.beta.wmflabs.org

ovasileva closed this task as Resolved.Jun 12 2018, 5:04 PM

Closing this, feel free to reopen in case there's any other issues observed.

Vvjjkkii renamed this task from Add gender support to MediaWiki:Skin-minerva-blocked-drawer-creator-header to bucaaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed ovasileva as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from bucaaaaaaa to Add gender support to MediaWiki:Skin-minerva-blocked-drawer-creator-header.Jul 2 2018, 3:23 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to ovasileva.
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot set the point value for this task to 2.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.